ChannelException.FaultyMember (Tomcat API Documentation)
Keywords: org.apache.catalina.tribes.ChannelException.FaultyMember class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.tribes
Class ChannelException.FaultyMember

    java.lang.Object
      org.apache.catalina.tribes.ChannelException.FaultyMember

Enclosing class:
  ChannelException

    public static class ChannelException.FaultyMember

extends java.lang.Object

Title: FaultyMember class

Description: Represent a failure to a specific member when a message was sent to more than one member

Version:
  1.0
Author:
  Filip Hanik

Field Summary
`protected java.lang.Exception` | `cause`
`protected Member` | `member`

Constructor Summary
`ChannelException.FaultyMember(Member mbr, java.lang.Exception x)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.Exception` | `getCause()`
`Member` | `getMember()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### cause

    protected java.lang.Exception cause

### member

    protected Member member

Constructor Detail

### ChannelException.FaultyMember

    public ChannelException.FaultyMember(Member mbr,
                                         java.lang.Exception x)

Method Detail

### getMember

    public Member getMember()

### getCause

    public java.lang.Exception getCause()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.